//Config requireJs
require.config({
    //baseUrl : '/js',
    urlArgs: 'bust=' +  (new Date()).getTime(),
    deps: ['appMain'],
    waitSeconds: 0,
    i18n: { locale: 'fr-fr' },
    paths: {
            appMain: 'appMain',
            appFilter: 'appFilter',
            appAttendable: 'appAttendable',
            appCompteur: 'appCompteur',
            appProjet: 'appProjet',
            appVote: 'appVote',
            appUser: 'appUser',
            appSeance: 'appSeance',
            appConnecteur: 'appConnecteur',
            appAbandon: 'appAbandon',
            appSendTdt: 'appSendTdt',
            appTypologie: 'appTypologie',
            appEditWopi:'appEditWopi',
            appPassword: 'appPassword',


            //Configuration jquery
            jquery: 'components/jquery/dist/jquery',
            'jquery-migrate': 'components/jquery-migrate/jquery-migrate',
            'jquery-sortable': 'components/jquery-sortable/source/js/jquery-sortable',
            'jquery-ui': 'components/jquery-ui/jquery-ui',
            'jquery-text-counter': 'components/jquery-text-counter/textcounter',
            'jquery-bootstrap-modal-steps' : 'components/jquery-bootstrap-modal-steps/src/jquery-bootstrap-modal-steps',
            'devbridge-autocomplete': 'components/devbridge-autocomplete/dist/jquery.autocomplete',

            //Configuration bootstrapb
            bootstrap: 'components/bootstrap/dist/js/bootstrap',
            'bootstrap-calendar': 'components/bootstrap-calendar/js/calendar',
            'bootstrap-colorpicker': 'components/bootstrap-colorpicker/dist/js/bootstrap-colorpicker',
            'bootstrap-filestyle': 'components/bootstrap-filestyle/src/bootstrap-filestyle',
            'bootstrap-submenu': 'components/bootstrap-submenu/dist/js/bootstrap-submenu',
            'bootstrap-table': 'components/bootstrap-table/dist/bootstrap-table',
            'bootstrap-growl': 'components/bootstrap.growl/dist/bootstrap-growl',

            domReady: 'components/domReady/domReady',
            underscore: 'components/underscore/underscore',
            chartjs: 'components/chartjs/dist/Chart',
            jstree: 'components/jstree/dist/jstree',
            modernizr: 'components/modernizr/modernizr',
            scrollup: 'components/scrollup/dist/jquery.scrollUp',
            select2: 'components/select2/dist/js/select2',
            'select2-fr': 'select2-fr',
            'smalot-bootstrap-datetimepicker': 'components/smalot-bootstrap-datetimepicker/js/bootstrap-datetimepicker',
            'tinymce-jquery': 'components/tinymce/jquery.tinymce',
            tinymce: 'components/tinymce/tinymce',
            i18n: 'components/i18n/i18n',
            fontawesome: 'components/font-awesome/js/fontawesome.min',
            'fontawesome/solid': 'components/font-awesome/js/solid.min',
            'fontawesome/regular': 'components/font-awesome/js/regular.min',
            'fontawesome/brands': 'components/font-awesome/js/brands.min',
            'ls-jquery-password': 'components/ls-jquery-password/dist/js/ls-jquery-password.min',
          },
    shim: {
        jquery: { exports: '$', deps: ['i18n'] },
        underscore: { exports: '_', },
        domReady: { exports: '$', deps: ['jquery'] },
        chartjs: { exports: 'Chart', },
        appCompteur: { exports: '$', deps: ['jquery'] },
        appFilter: { exports: '$', deps: ['jquery'] },
        appVote: { exports: '$', deps: ['jquery'] },
        appMasterCheckbox: { exports: '$', deps: ['jquery'] },
        appAttendable: { exports: '$.appAttendable', deps: ['jquery', 'underscore'] },
        appProjet: { exports: '$', deps: ['jquery', 'appEditWopi'] },
        appEditWopi: { exports: '$', deps: ['jquery'] },
        appUser: { exports: '$', deps: ['jquery'] },
        appSeance: { exports: '$', deps: ['jquery'] },
        appConnecteur: { exports: '$', deps: ['jquery'] },
        appTypologie: { exports: '$', deps: ['jquery'] },
        appAbandon: { exports: '$', deps: ['jquery'] },
        appSendTdt: { exports: '$', deps: ['jquery'] },
        appSearch: { exports: '$', deps: ['jquery'] },
        bootstrap: { exports: '$', deps: ['jquery',
                'bootstrap-growl', 'bootstrap-submenu', 'bootstrap-table',
                'bootstrap-filestyle', 'bootstrap-calendar', 'bootstrap-colorpicker',
              ],
        },
        'bootstrap-growl': { exports: '$', deps: ['jquery'] },
        'bootstrap-submenu': { exports: '$', deps: ['jquery'] },
        'bootstrap-table': { exports: '$', deps: ['jquery'] },
        'smalot-bootstrap-datetimepicker': { exports: '$.datetimepicker', deps: ['jquery'] },
        'bootstrap-filestyle': { exports: '$', deps: ['jquery'] },
        'bootstrap-calendar': { exports: '$', deps: ['jquery'] },
        'bootstrap-colorpicker': { exports: '$', deps: ['jquery'] },
        'jquery-text-counter': { exports: '$', deps: ['jquery', 'tinymce'] },
        'jquery-bootstrap-modal-steps': { exports: '$', deps: ['jquery'] },
        'tinymce-jquery': { exports: '$', deps: ['jquery', 'tinymce'] },
        scrollup: { exports: '$', deps: ['jquery'] },
        select2: { exports: 'jQuery.fn.select2', deps: ['jquery'] },
        'select2-fr': { exports: 'jQuery.fn.select2', deps: ['select2', 'jquery'] },
        jstree: { exports: '$', deps: ['jquery'] },
        fontawesome: { exports: 'FontAwesome', deps: ['fontawesome/solid', 'fontawesome/regular', 'fontawesome/brands'] },
        'ls-jquery-password':  { exports: '$', deps: ['jquery'] },
        appMain: { exports: '$', deps: [
                'jquery', 'bootstrap', 'scrollup',
                'select2-fr', 'fontawesome', 'ls-jquery-password',
                'appAttendable', 'appProjet', 'appCompteur', 'appFilter',
                'appVote', 'appUser', 'appSeance', 'appConnecteur', 'appSearch',
                'appMasterCheckbox', 'appAbandon', 'appSendTdt', 'appTypologie','appPassword','appEditWopi',
                'domReady', 'jstree', 'tinymce-jquery', 'smalot-bootstrap-datetimepicker',
                'chartjs', 'jquery-text-counter','jquery-bootstrap-modal-steps', 'devbridge-autocomplete'
              ],
        },
      },
    packages: [],
  });
